com.google.cloud.dataflow.sdk.runners

## Class DataflowPipelineRunner.BatchBigQueryIONativeReadTranslator

- java.lang.Object
- - com.google.cloud.dataflow.sdk.runners.DataflowPipelineRunner.BatchBigQueryIONativeReadTranslator

All Implemented Interfaces:
  DataflowPipelineTranslator.TransformTranslator<com.google.cloud.dataflow.sdk.runners.DataflowPipelineRunner.BatchBigQueryIONativeRead>

Enclosing class:
  DataflowPipelineRunner

    public static class DataflowPipelineRunner.BatchBigQueryIONativeReadTranslator
    extends Object
    implements DataflowPipelineTranslator.TransformTranslator<com.google.cloud.dataflow.sdk.runners.DataflowPipelineRunner.BatchBigQueryIONativeRead>

Implements BigQueryIO Read translation for the Dataflow backend.

### Constructor Summary

Constructors
Constructor and Description
`BatchBigQueryIONativeReadTranslator()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `translate(com.google.cloud.dataflow.sdk.runners.DataflowPipelineRunner.BatchBigQueryIONativeRead transform, DataflowPipelineTranslator.TranslationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BatchBigQueryIONativeReadTranslator

    public BatchBigQueryIONativeReadTranslator()

### Method Detail

#### translate

    public void translate(com.google.cloud.dataflow.sdk.runners.DataflowPipelineRunner.BatchBigQueryIONativeRead transform,
                          DataflowPipelineTranslator.TranslationContext context)

Specified by:
  `translate` in interface `DataflowPipelineTranslator.TransformTranslator<com.google.cloud.dataflow.sdk.runners.DataflowPipelineRunner.BatchBigQueryIONativeRead>`